<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$fecha=date('Y-m-d H:i:s');
$vena_id=$_POST['vena_id'];
$clie_id=$_POST['clie_id'];
$clie_nombre=$_POST['clie_nombre'];
$detalle=$_POST['detalle'];


$can_abo=mysqli_query($con,"SELECT * FROM venta_apartada_abonos WHERE ventas_apartadas_vena_id ='$vena_id' and apertura='$apertura' and empresa='$empresa'") or die(mysqli_error($con));  
while($dat_abo=mysqli_fetch_array($can_abo))
{
    $mov_id_abon=$dat_abo['mov_id']; 
    $sql=mysqli_query($con,"UPDATE movimientos Set estado ='anulado' Where mov_id='$mov_id_abon'") or die(mysqli_error($con));     
}  



$can5=mysqli_query($con,"SELECT * FROM venta_apartadas_detalle where empresa='$empresa' and ventas_apartadas_vena_id='$vena_id'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can5))
{ 
    $art_art_id=$dato['art_art_id'];
    $venad_art_id=$dato['venad_art_id'];
    $venad_referencia=$dato['venad_referencia'];            
    $venad_cantidad=$dato['venad_cantidad'];    
    $venad_x_cantidad=$dato['venad_x_cantidad'];  

    $cantidad_sumar=$venad_cantidad*$venad_x_cantidad;

    $can7=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_art_id' AND articulos_art_id='$venad_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));  
    while($dato=mysqli_fetch_array($can7))
    {
        $articulos_art_id=$dato['articulos_art_id'];            
        $art_cantidad=$dato['art_cantidad'];
        $suma=$art_cantidad+$cantidad_sumar;
        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_art_id' AND articulos_art_id='$venad_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));

        $cana=mysqli_query($con,"SELECT * from seriales_apartados where vena_id='$vena_id'") or die(mysqli_error($con)); 
        while($dato2=mysqli_fetch_array($cana)) 
        {
            $serial=$dato2['sear_codigo'];

            $seractu=mysqli_query($con,"UPDATE seriales_articulos Set estado='sin vender' Where se_codigo='$serial' ") or die(mysqli_error($con));
            
        }
    }            
}

$sql1=mysqli_query($con,"SELECT sum(veaa_abono) as total from venta_apartada_abonos  
where apertura<>'$apertura' and ventas_apartadas_vena_id='$vena_id' and empresa='$empresa'");
$sql1=mysqli_fetch_array($sql1);
$total=$sql1['total']+0;

$sql2=mysqli_query($con,"SELECT * from cliente where clie_id='$clie_id' and empresa='$empresa' ");
$sql2=mysqli_fetch_array($sql2);
$clie_nota_credito=$sql2['clie_nota_credito'];
$total_nota=$clie_nota_credito+$total;

$sql3=mysqli_query($con,"UPDATE ventas_apartadas Set vena_estado ='anulada' Where vena_id='$vena_id'") or die(mysqli_error($con));

$sql4=mysqli_query($con,"UPDATE cliente Set clie_nota_credito ='$total_nota' Where clie_id='$clie_id'") or die(mysqli_error($con));

echo '<div class="alert alert-success alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>Anulada  </strong> correctamente
</div>';
?>